Subject: [PATCH 0/2] Fix the speed of the CI (Visual Studio) tests

From: "Johannes Schindelin via GitGitGadget" <[email-masked]>
Date: Sun, 20 Oct 2019 20:39:28 +0000

I made a mistake when converting the make/prove-based test job to a 
test-tool run-command testsuite one: I lost the parallelization, resulting
in way slower CI runs.

Also, I forgot to build with DEVELOPER=1, i.e. with stricter compile flags.

This pair of patches fixes both issues.

Johannes Schindelin (2):
  ci(visual-studio): use strict compile flags, and optimization
  ci(visual-studio): actually run the tests in parallel

 azure-pipelines.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

base-commit: d966095db01190a2196e31195ea6fa0c722aa732
Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-410%2Fdscho%2Faccelerate-ci-vs-test-v1
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-410/dscho/accelerate-ci-vs-test-v1
Pull-Request: https://github.com/gitgitgadget/git/pull/410
-- 
gitgitgadget